Package org.eclipse.birt.chart.model.attribute

# Interface FractionNumberFormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `FormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `FractionNumberFormatSpecifierImpl`

public interface FractionNumberFormatSpecifier extends FormatSpecifier
A representation of the model object 'Fraction Number Format Specifier'. FractionNumberFormatSpecifier extends type FormatSpecifier and is specialized for displaying nummeric value as fraction number.

The following features are supported:

- `Precise`
- `Fraction Digits`
- `Numerator`
- `Prefix`
- `Suffix`
- `Delimiter`

See Also:
  - `AttributePackage.getFractionNumberFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`FractionNumberFormatSpecifier`
`copyInstance()`
`String`
`format(double dValue, com.ibm.icu.util.ULocale lo)`
Formats a value using the internally defined format specifier rules
`String`
`format(double dValue, Locale lo)`
Deprecated.
`String`
`getDelimiter()`
Returns the value of the 'Delimiter' attribute.
`int`
`getFractionDigits()`
Returns the value of the 'Fraction Digits' attribute.
`double`
`getNumerator()`
Returns the value of the 'Numerator' attribute.
`String`
`getPrefix()`
Returns the value of the 'Prefix' attribute.
`String`
`getSuffix()`
Returns the value of the 'Suffix' attribute.
`boolean`
`isPrecise()`
Returns the value of the 'Precise' attribute.
`boolean`
`isSetDelimiter()`
Returns whether the value of the '`Delimiter`' attribute is set.
`boolean`
`isSetFractionDigits()`
Returns whether the value of the '`Fraction Digits`' attribute is set.
`boolean`
`isSetNumerator()`
Returns whether the value of the '`Numerator`' attribute is set.
`boolean`
`isSetPrecise()`
Returns whether the value of the '`Precise`' attribute is set.
`void`
`setDelimiter(String value)`
Sets the value of the '`Delimiter`' attribute.
`void`
`setFractionDigits(int value)`
Sets the value of the '`Fraction Digits`' attribute.
`void`
`setNumerator(double value)`
Sets the value of the '`Numerator`' attribute.
`void`
`setPrecise(boolean value)`
Sets the value of the '`Precise`' attribute.
`void`
`setPrefix(String value)`
Sets the value of the '`Prefix`' attribute.
`void`
`setSuffix(String value)`
Sets the value of the '`Suffix`' attribute.
`void`
`unsetDelimiter()`
Unsets the value of the '`Delimiter`' attribute.
`void`
`unsetFractionDigits()`
Unsets the value of the '`Fraction Digits`' attribute.
`void`
`unsetNumerator()`
Unsets the value of the '`Numerator`' attribute.
`void`
`unsetPrecise()`
Unsets the value of the '`Precise`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isPrecise

boolean isPrecise()
Returns the value of the 'Precise' attribute. Attribute "Precies" specifies if the fraction result is precise with the decimal.

Returns:
  the value of the 'Precise' attribute.
See Also:
  - `isSetPrecise()`
  - `unsetPrecise()`
  - `setPrecise(boolean)`
  - `AttributePackage.getFractionNumberFormatSpecifier_Precise()`

### setPrecise

void setPrecise(boolean value)
Sets the value of the '`Precise`' attribute.

Parameters:
  `value` - the new value of the 'Precise' attribute.
See Also:
  - `isSetPrecise()`
  - `unsetPrecise()`
  - `isPrecise()`

### unsetPrecise

void unsetPrecise()
Unsets the value of the '`Precise`' attribute.

See Also:
  - `isSetPrecise()`
  - `isPrecise()`
  - `setPrecise(boolean)`

### isSetPrecise

boolean isSetPrecise()
Returns whether the value of the '`Precise`' attribute is set.

Returns:
  whether the value of the 'Precise' attribute is set.
See Also:
  - `unsetPrecise()`
  - `isPrecise()`
  - `setPrecise(boolean)`

### getFractionDigits

int getFractionDigits()
Returns the value of the 'Fraction Digits' attribute. Attribute "FractionDigits" specifies the fixed length of the denominator when in imprecise mode.

Returns:
  the value of the 'Fraction Digits' attribute.
See Also:
  - `isSetFractionDigits()`
  - `unsetFractionDigits()`
  - `setFractionDigits(int)`
  - `AttributePackage.getFractionNumberFormatSpecifier_FractionDigits()`

### setFractionDigits

void setFractionDigits(int value)
Sets the value of the '`Fraction Digits`' attribute.

Parameters:
  `value` - the new value of the 'Fraction Digits' attribute.
See Also:
  - `isSetFractionDigits()`
  - `unsetFractionDigits()`
  - `getFractionDigits()`

### unsetFractionDigits

void unsetFractionDigits()
Unsets the value of the '`Fraction Digits`' attribute.

See Also:
  - `isSetFractionDigits()`
  - `getFractionDigits()`
  - `setFractionDigits(int)`

### isSetFractionDigits

boolean isSetFractionDigits()
Returns whether the value of the '`Fraction Digits`' attribute is set.

Returns:
  whether the value of the 'Fraction Digits' attribute is set.
See Also:
  - `unsetFractionDigits()`
  - `getFractionDigits()`
  - `setFractionDigits(int)`

### getNumerator

double getNumerator()
Returns the value of the 'Numerator' attribute. Attribute "Numerator" specifies a fixed numerator for the fraction result when in imprecise mode. Zero means no effect. This setting will take the precedence than the FractionDigits setting.

Returns:
  the value of the 'Numerator' attribute.
See Also:
  - `isSetNumerator()`
  - `unsetNumerator()`
  - `setNumerator(double)`
  - `AttributePackage.getFractionNumberFormatSpecifier_Numerator()`

### setNumerator

void setNumerator(double value)
Sets the value of the '`Numerator`' attribute.

Parameters:
  `value` - the new value of the 'Numerator' attribute.
See Also:
  - `isSetNumerator()`
  - `unsetNumerator()`
  - `getNumerator()`

### unsetNumerator

void unsetNumerator()
Unsets the value of the '`Numerator`' attribute.

See Also:
  - `isSetNumerator()`
  - `getNumerator()`
  - `setNumerator(double)`

### isSetNumerator

boolean isSetNumerator()
Returns whether the value of the '`Numerator`' attribute is set.

Returns:
  whether the value of the 'Numerator' attribute is set.
See Also:
  - `unsetNumerator()`
  - `getNumerator()`
  - `setNumerator(double)`

### getPrefix

String getPrefix()
Returns the value of the 'Prefix' attribute. Attribute "Prefix" specifies the prefix of the result.

Returns:
  the value of the 'Prefix' attribute.
See Also:
  - `setPrefix(String)`
  - `AttributePackage.getFractionNumberFormatSpecifier_Prefix()`

### setPrefix

void setPrefix(String value)
Sets the value of the '`Prefix`' attribute.

Parameters:
  `value` - the new value of the 'Prefix' attribute.
See Also:
  - `getPrefix()`

### getSuffix

String getSuffix()
Returns the value of the 'Suffix' attribute. Attribute "Suffix" specifies the suffix of the result.

Returns:
  the value of the 'Suffix' attribute.
See Also:
  - `setSuffix(String)`
  - `AttributePackage.getFractionNumberFormatSpecifier_Suffix()`

### setSuffix

void setSuffix(String value)
Sets the value of the '`Suffix`' attribute.

Parameters:
  `value` - the new value of the 'Suffix' attribute.
See Also:
  - `getSuffix()`

### getDelimiter

String getDelimiter()
Returns the value of the 'Delimiter' attribute. The default value is `"/"`. Attribute "Delimiter" specifies the string as the fraction stroke, by default it'is "/".

Returns:
  the value of the 'Delimiter' attribute.
See Also:
  - `isSetDelimiter()`
  - `unsetDelimiter()`
  - `setDelimiter(String)`
  - `AttributePackage.getFractionNumberFormatSpecifier_Delimiter()`

### setDelimiter

void setDelimiter(String value)
Sets the value of the '`Delimiter`' attribute.

Parameters:
  `value` - the new value of the 'Delimiter' attribute.
See Also:
  - `isSetDelimiter()`
  - `unsetDelimiter()`
  - `getDelimiter()`

### unsetDelimiter

void unsetDelimiter()
Unsets the value of the '`Delimiter`' attribute.

See Also:
  - `isSetDelimiter()`
  - `getDelimiter()`
  - `setDelimiter(String)`

### isSetDelimiter

boolean isSetDelimiter()
Returns whether the value of the '`Delimiter`' attribute is set.

Returns:
  whether the value of the 'Delimiter' attribute is set.
See Also:
  - `unsetDelimiter()`
  - `getDelimiter()`
  - `setDelimiter(String)`

### format

@Deprecated String format(double dValue, Locale lo)
Deprecated.
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided

### format

String format(double dValue, com.ibm.icu.util.ULocale lo)
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided
Since:
  2.1

### copyInstance

FractionNumberFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`